lm.influence {base} | R Documentation

## Regression Diagnostics

### Description

This function provides the basic quantities which are used in forming a wide variety of diagnostics for checking the quality of regression fits.

### Usage

    lm.influence(lm.obj)

### Arguments

`lm.obj` | an object as returned by `lm`.

### Details

The functions listed in See Also give a more direct way of computing a variety of regression diagnostics.

### Value

A list containing the following components:

`hat` | a vector containing the diagonal of the ``hat'' matrix.
`coefficients` | the change in the estimated coefficients which results when the i-th case is dropped from the regression is contained in the i-th row of this matrix.
`sigma` | a vector whose i-th element contains the estimate of the residual standard deviation obtained when the i-th case is dropped from the regression.

### Note

The `coefficients` returned by the R version of `lm.influence` differ from those computed by S. Rather than returning the coefficients which result from dropping each case, we return the changes in the coefficients. This is more directly useful in many diagnostic measures.

Note that cases with `weights == 0` are dropped (contrary to the situation in S).

### References

Belsley, D. A., Kuh, E. and Welsch, R. E. (1980) Regression Diagnostics. New York: Wiley.

### See Also

`summary.lm` for `summary` and related methods;
`influence.measures`,
`hat` for the hat matrix diagonals,
`dfbetas`, `dffits`, `covratio`, `cooks.distance`, `lm`.

### Examples

    ## Analysis of the life-cycle savings data given in Belsley, Kuh
    ## and Welsch.
    data(LifeCycleSavings)
    summary(lm.SR <- lm(sr ~ pop15 + pop75 + dpi + ddpi,
                        data = LifeCycleSavings),
            corr = TRUE)
    rstudent(lm.SR)
    dfbetas(lm.SR)
    dffits(lm.SR)
    covratio(lm.SR)